VSTGUI: ViewFactoryDelegate Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
ViewFactoryDelegate Class Reference

`#include <iviewfactory.h>`

Inheritance diagram for ViewFactoryDelegate:

## Public Member Functions
| ViewFactoryDelegate (IViewFactory *orig)
CView * | createView (const UIAttributes &attributes, const IUIDescription *description) const override
bool | applyAttributeValues (CView *view, const UIAttributes &attributes, const IUIDescription *desc) const override
bool | applyCustomViewAttributeValues (CView *customView, IdStringPtr baseViewName, const UIAttributes &attributes, const IUIDescription *desc) const override
bool | getAttributeValue (CView *view, const std::string &attributeName, std::string &stringValue, const IUIDescription *desc) const override
bool | viewIsTypeOf (CView *view, const std::string &typeName) const override
bool | getAttributeNamesForView (CView *view, StringList &attributeNames) const override
IViewCreator::AttrType | getAttributeType (CView *view, const std::string &attributeName) const override
void | collectRegisteredViewNames (StringPtrList &viewNames, IdStringPtr baseClassNameFilter) const override
bool | getAttributesForView (CView *view, const IUIDescription *desc, UIAttributes &attr) const override
bool | getPossibleAttributeListValues (CView *view, const std::string &attributeName, StringPtrList &values) const override
bool | getAttributeValueRange (CView *view, const std::string &attributeName, double &minValue, double &maxValue) const override
ViewAndDisplayNameList | collectRegisteredViewAndDisplayNames (IdStringPtr baseClassNameFilter) const override
UTF8StringPtr | getViewDisplayName (CView *view) const override
Public Member Functions inherited from IViewFactory
virtual | ~IViewFactory () noexcept=default
Public Member Functions inherited from IViewFactoryEditingSupport
virtual | ~IViewFactoryEditingSupport () noexcept=default

## Protected Member Functions
IViewFactory * | getViewFactory () const
IViewFactoryEditingSupport * | getViewFactoryEditingSupport () const

## Additional Inherited Members
Public Types inherited from IViewFactoryEditingSupport
using | StringPtrList = std::list<const std::string*>
using | StringList = std::list<std::string>
using | ViewAndDisplayNameList = std::list<std::pair<const std::string*, const std::string>>
Static Public Member Functions inherited from IViewFactory
static IdStringPtr | getViewName (CView *view)

## Constructor & Destructor Documentation

## ◆ ViewFactoryDelegate()

ViewFactoryDelegate | ( | IViewFactory * | orig | ) |
| inline

## Member Function Documentation

## ◆ applyAttributeValues()

bool applyAttributeValues | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | desc ) const
| inlineoverridevirtual

Implements IViewFactory.

## ◆ applyCustomViewAttributeValues()

bool applyCustomViewAttributeValues | ( | CView * | customView,
|  | IdStringPtr | baseViewName,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | desc ) const
| inlineoverridevirtual

Implements IViewFactory.

## ◆ collectRegisteredViewAndDisplayNames()

ViewAndDisplayNameList collectRegisteredViewAndDisplayNames | ( | IdStringPtr | baseClassNameFilter | ) | const
| inlineoverridevirtual

Implements IViewFactoryEditingSupport.

## ◆ collectRegisteredViewNames()

void collectRegisteredViewNames | ( | StringPtrList & | viewNames,
|  | IdStringPtr | baseClassNameFilter ) const
| inlineoverridevirtual

Implements IViewFactoryEditingSupport.

## ◆ createView()

CView * createView | ( | const UIAttributes & | attributes,
|  | const IUIDescription * | description ) const
| inlineoverridevirtual

Implements IViewFactory.

## ◆ getAttributeNamesForView()

bool getAttributeNamesForView | ( | CView * | view,
|  | StringList & | attributeNames ) const
| inlineoverridevirtual

Implements IViewFactoryEditingSupport.

## ◆ getAttributesForView()

bool getAttributesForView | ( | CView * | view,
|  | const IUIDescription * | desc,
|  | UIAttributes & | attr ) const
| inlineoverridevirtual

Implements IViewFactoryEditingSupport.

## ◆ getAttributeType()

IViewCreator::AttrType getAttributeType | ( | CView * | view,
|  | const std::string & | attributeName ) const
| inlineoverridevirtual

Implements IViewFactoryEditingSupport.

## ◆ getAttributeValue()

bool getAttributeValue | ( | CView * | view,
|  | const std::string & | attributeName,
|  | std::string & | stringValue,
|  | const IUIDescription * | desc ) const
| inlineoverridevirtual

Implements IViewFactory.

## ◆ getAttributeValueRange()

bool getAttributeValueRange | ( | CView * | view,
|  | const std::string & | attributeName,
|  | double & | minValue,
|  | double & | maxValue ) const
| inlineoverridevirtual

Implements IViewFactoryEditingSupport.

## ◆ getPossibleAttributeListValues()

bool getPossibleAttributeListValues | ( | CView * | view,
|  | const std::string & | attributeName,
|  | StringPtrList & | values ) const
| inlineoverridevirtual

Implements IViewFactoryEditingSupport.

## ◆ getViewDisplayName()

UTF8StringPtr getViewDisplayName | ( | CView * | view | ) | const
| inlineoverridevirtual

Implements IViewFactoryEditingSupport.

## ◆ getViewFactory()

IViewFactory * getViewFactory | ( |  | ) | const
| inlineprotected

## ◆ getViewFactoryEditingSupport()

IViewFactoryEditingSupport * getViewFactoryEditingSupport | ( |  | ) | const
| inlineprotected

## ◆ viewIsTypeOf()

bool viewIsTypeOf | ( | CView * | view,
|  | const std::string & | typeName ) const
| inlineoverridevirtual

Implements IViewFactory.

The documentation for this class was generated from the following file:

- iviewfactory.h